<?php

namespace PixelRockstar\Media;

class Image implements \JsonSerializable
{
    /** @var string */
    private $url;
    /** @var int */
    private $width;
    /** @var int */
    private $height;

    /**
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * @param string $url
     *
     * @return Image
     */
    public function setUrl($url)
    {
        $this->url = $url;

        return $this;
    }

    /**
     * @return int|null
     */
    public function getWidth()
    {
        return $this->width;
    }

    /**
     * @param int $width
     *
     * @return Image
     */
    public function setWidth($width)
    {
        $this->width = is_null($width) ? null : (int)$width;

        return $this;
    }

    /**
     * @return int|null
     */
    public function getHeight()
    {
        return $this->height;
    }

    /**
     * @param int $height
     *
     * @return Image
     */
    public function setHeight($height)
    {
        $this->height = is_null($height) ? null : (int)$height;

        return $this;
    }

    public function jsonSerialize()
    {
        return array(
            "url" => $this->getUrl(),
            "width" => $this->getWidth(),
            "height" => $this->getHeight()
        );
    }
}