<?php
namespace PixelRockstar\Media;

class Item implements \JsonSerializable
{
    /** @var int */
    private $id;

    /** @var string */
    private $idExt;

    /** @var string */
    private $title;

    /** @var Image */
    private $thumbnail;

    /** @var Image */
    private $preview;

    public function __construct()
    {
        $this->setThumbnail(new Image());
        $this->setPreview(new Image());
    }

    /**
     * @return int
     */
    public function getId()
    {
        return (int)$this->id;
    }

    /**
     * @param int $id
     *
     * @return Item
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * @return string
     */
    public function getIdExt()
    {
        return $this->idExt;
    }

    /**
     * @param string $idExt
     *
     * @return Item
     */
    public function setIdExt($idExt)
    {
        $this->idExt = $idExt;

        return $this;
    }

    /**
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @param string $title
     *
     * @return Item
     */
    public function setTitle($title)
    {
        $this->title = $title;

        return $this;
    }

    /**
     * @return Image
     */
    public function getThumbnail()
    {
        return $this->thumbnail;
    }

    /**
     * @param Image $thumbnail
     *
     * @return Item
     */
    public function setThumbnail(Image $thumbnail)
    {
        $this->thumbnail = $thumbnail;

        return $this;
    }

    /**
     * @return Image
     */
    public function getPreview()
    {
        return $this->preview;
    }

    /**
     * @param Image $preview
     *
     * @return Item
     */
    public function setPreview(Image $preview)
    {
        $this->preview = $preview;

        return $this;
    }

    public function jsonSerialize()
    {
        return array(
            "id" => $this->getId(),
            "id_ext" => $this->getIdExt(),
            "title" => $this->getTitle(),
            "thumbnail" => $this->getThumbnail(),
            "preview" => $this->getPreview()
        );
    }
}
