<?php
// Page config
$ld = \PixelRockstar\PixelRockstar::$languageDomain;
$baseUrl = "options-general.php?page=" . \PixelRockstar\PixelRockstar::$appId;
$activeTab = PixelRockstar\getGetValue("tab", "general-options");

$username = "";
if (!empty($params["user"]["username"])) {
    $username = $params["user"]["username"];
} else if (!empty($params["user"]["email"])) {
    $username = $params["user"]["email"];
}

$isActiveTab = array(
    "general-options" => ($activeTab == "general-options") ? "nav-tab-active" : "",
    "get-downloads" => ($activeTab == "get-downloads") ? "nav-tab-active" : "",
    "advanced" => ($activeTab == "advanced") ? "nav-tab-active" : ""
);
$params["hideIf"] = array(
    "is_logged_out" => (empty($params["user"]["logged_in"])) ? "pixelrockstar-u-isHidden" : "",
    "is_logged_in" => (!empty($params["user"]["logged_in"])) ? "pixelrockstar-u-isHidden" : ""
);

PixelRockstar\dialog(
    array(
        "top" =>
            "<h2>" . __("You have unsaved changes on this page", $ld) . "</h2>" .
            "<p><strong>" . __("Leave the page and discard changes?", $ld) . "</strong></p>",
        "bottom" => '
            <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol pixelrockstar-Grid--spaceBetween">
                <div class="pixelrockstar-Grid-cell">
                    <a class="pixelrockstar-Button pixelrockstar-Button--big pixelrockstar-Button--white js-pixelrockstar-unsaved-changes-stay">' . __("Stay", $ld) . '</a>
                </div>
                <div class="pixelrockstar-Grid-cell">
                    <a class="pixelrockstar-Button pixelrockstar-Button--big pixelrockstar-Button--blue js-pixelrockstar-unsaved-changes-leave">' . __("Leave", $ld) . '</a>
                </div>
            </div>
            '
    ),
    true,
    array("class" => "js-pixelrockstar-unsaved-changes-dialog")
);
// Page content
?>
<h1>
    <em class="pixelrockstar-Icon pixelrockstar-Icon-logo">PixelRockstar</em>
</h1>

<h2 class="nav-tab-wrapper">
    <a href="<?php echo $baseUrl; ?>&tab=general-options" class="nav-tab <?php echo $isActiveTab["general-options"]; ?>"><?php _e("General Options", $ld); ?></a>
    <a href="<?php echo $baseUrl; ?>&tab=advanced" class="nav-tab <?php echo $isActiveTab["advanced"]; ?>"><?php _e("Advanced", $ld); ?></a>
</h2>

<div class="metabox-holder has-right-sidebar">
    <div class="inner-sidebar">
        <?php /* Username + Like Us box */ ?>
        <div class="postbox pixelrockstar-postbox">
            <?php /* Logged in title */ ?>
            <div class="hndle pixelrockstar-Grid pixelrockstar-Grid--multiCol pixelrockstar-Grid--spaceBetween pixelrockstar-Grid--alignMiddle <?php echo $params["hideIf"]["is_logged_out"]; ?> js-pixelrockstar-logged-in">
                <div class="pixelrockstar-Grid-cell">
                    <h3 class="hndle">
                        <?php
                        printf(
                            // TRANSLATORS: username
                            __("User %s", $ld),
                            '<span class="js-pixelrockstar-username">' . $username . '</span>'
                        );
                        ?>
                    </h3>
                </div>
                <div class="pixelrockstar-Grid-cell">
                    <a href="#logout" class="pixelrockstar-u-marginH10 js-pixelrockstar-logout-button"><?php _e("Logout", $ld); ?></a>
                </div>
            </div>

            <?php /* Logged out title */ ?>
            <div class="<?php echo $params["hideIf"]["is_logged_in"]; ?> js-pixelrockstar-logged-out">
                <h3 class="hndle"><span><?php _e("Welcome Rocker!", $ld); ?></span></h3>
            </div>

            <?php /* Box body */ ?>
            <div class="inside">
                <p>
                    <?php
                    printf(
                        wp_kses(
                            __('If you like PixelRockstar <a href="%s">please rate us</a> in Wordpress Plugin Directory.', $ld),
                            array('a' => array('href' => array()))
                        ), esc_url($params["url"]["rate_us"])
                    );
                    ?>
                </p>
            </div>
        </div>

        <?php /* Help box */ ?>
        <div class="postbox pixelrockstar-postbox">
            <h3 class="hndle"><span><?php _e('Help', $ld); ?></span></h3>
            <div class="inside">
                <p>
                    <?php
                    printf(
                        wp_kses(
                        // TRANSLATORS: Both parameters are our contact email address
                            __('Contact us at <a href="%1$s">%2$s</a>', $ld),
                            array('a' => array('href' => array()))
                        ),
                        esc_url("mailto:" . $params["url"]["contact_email"]),
                        $params["url"]["contact_email"]
                    );
                    ?>
                </p>
                <p class="pixelrockstar-u-marginNone"><?php _e("For legal terms check these:", $ld); ?></p>
                <ul>
                    <li><a href="<?php echo $params["url"]["license_agreement"]; ?>"><?php _e("License Agreement", $ld); ?></a></li>
                    <li><a href="<?php echo $params["url"]["terms_of_sercive"]; ?>"><?php _e("Terms of Service", $ld); ?></a></li>
                    <li><a href="<?php echo $params["url"]["privacy_policy"]; ?>"><?php _e("Privacy Policy", $ld); ?></a></li>
                </ul>
            </div>
        </div>
    </div>
    <?php
    switch ($activeTab) {
        case "general-options":
            \PixelRockstar\renderPage("settings_general.php", $params);
            break;
        case "get-downloads":
            break;
        case "advanced":
            \PixelRockstar\renderPage("settings_advanced.php", $params);
            break;
    }
    ?>
    <hr/>
    <p>
        <?php
        printf(
            wp_kses(
                __('Thank you for rocking with <strong>PixelRockstar</strong>. Check out what\'s happening right now on <a href="%1$s">Facebook</a> & <a href="%2$s">Twitter</a>.', $ld),
                array(
                    "a" => array("href" => array()),
                    "strong" => array()
                )
            ),
            esc_url($params["url"]["facebook"]),
            esc_url($params["url"]["twitter"])
        );
        ?>
    </p>
</div>
