<?php
use PixelRockstar\Settings\Constants;

// Page config
$ld = \PixelRockstar\PixelRockstar::$languageDomain;

$checked = array(
    "search_results_50" => ($params["search_results"] === Constants::SEARCH_RESULTS_50) ? 'checked="checked"' : "",
    "search_results_100" => ($params["search_results"] === Constants::SEARCH_RESULTS_100) ? 'checked="checked"' : '',
    "search_results_300" => ($params["search_results"] === Constants::SEARCH_RESULTS_300) ? 'checked="checked"' : '',
    "caption_copyright" => ($params["caption"]["text"] === Constants::CAPTION_TEXT_COPYRIGHT) ? 'checked="checked"' : '',
    "caption_title" => ($params["caption"]["text"] === Constants::CAPTION_TEXT_IMAGE_TITLE) ? 'checked="checked"' : '',
    "caption_custom" => ($params["caption"]["text"] === Constants::CAPTION_TEXT_CUSTOM) ? 'checked="checked"' : '',
    "caption_none" => ($params["caption"]["text"] === Constants::CAPTION_TEXT_NONE) ? 'checked="checked"' : '',
    "caption_custom_copyright" => ($params["caption"]["custom_with_copyright"] === Constants::CAPTION_TEXT_CUSTOM_WITH_COPYRIGHT) ? 'checked="checked"' : '',
    "alt_text_title" => ($params["alt_text"] === Constants::ALT_TEXT_TITLE) ? 'checked="checked"' : '',
    "alt_text_keywords" => ($params["alt_text"] === Constants::ALT_TEXT_KEYWORDS) ? 'checked="checked"' : '',
    "alt_text_none" => ($params["alt_text"] === Constants::ALT_TEXT_NONE) ? 'checked="checked"' : '',
);
?>
<form class="pixelrockstar-MaxWidth--1000 js-pixelrockstar-save-settings js-pixelrockstar-no-submit">
    <h3><?php _e("Your Credentials", $ld); ?></h3>
    <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol:60em pixelrockstar-Grid--2col:60em">
        <div class="pixelrockstar-Grid-cell pixelrockstar-u-spacingR30">
            <div class="pixelrockstar-FormControlBox pixelrockstar-FormControlBox--vertical">
                <div class="pixelrockstar-FormControl pixelrockstar-u-marginB5">
                    <label class="pixelrockstar-FormControl-label">
                        <?php _e("Email", $ld); ?>:
                    </label>
                    <?php echo $params["user"]["email"]; ?>
                </div>
                <div class="pixelrockstar-FormControl pixelrockstar-u-marginB5">
                    <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("fullname"); ?>">
                        <?php _e("Full name", $ld); ?>:
                    </label>
                    <?php echo $params["user"]["firstname"] . " " . $params["user"]["lastname"]; ?>
                </div>
                <div class="pixelrockstar-FormControl pixelrockstar-u-marginB5">
                    <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("company"); ?>">
                        <?php _e("Company", $ld); ?>:
                    </label>
                    <?php echo $params["user"]["company"]; ?>
                </div>
                <div class="pixelrockstar-FormControl pixelrockstar-u-marginB5">
                    <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("country"); ?>">
                        <?php _e("Country", $ld); ?>:
                    </label>
                    <?php echo @$params["user"]["countries"][$params["user"]["country"]] ?: ""; ?>
                </div>
            </div>
            <p>
                <?php
                printf(
                    wp_kses(
                        __('Do you need to update your credentials? <a href="%1$s">Click here</a>', $ld),
                        array("a" => array("href" => array()))
                    ),
                    $params["url"]["update_credentials"]
                );
                ?>
            </p>
        </div>
        <div class="pixelrockstar-Grid-cell pixelrockstar-Grid--multiCol">
            <div><em class="pixelrockstar-Icon pixelrockstar-Icon-info"></em></div>
            <?php _e(
                "This information would be used to determine who is the authorised licensee for each image downloaded via PixelRockstar WordPress Plugin. " .
                "Please keep this information updated.",
                $ld);
            ?>
        </div>
    </div>

    <h3><?php _e("Auto Renewal", $ld); ?></h3>
    <p>
        <?php
        printf(
        // TRANSLATORS: Name of a subscription package.
            __("Your account is set to autorenew the %s package once a year.", $ld),
            $params["subscription"]["package_name"]
        );
        ?>
        <br/>
        <?php
        printf(
            wp_kses(
            // TRANSLATORS: First parameter is date of renewal.
                __('Next renewal is on %1$s. Don\'t need that? <a href="%2$s">Cancel Now</a>', $ld),
                array("a" => array("href" => array()))
            ),
            date_i18n(get_option('date_format'), $params["subscription"]["renewal_date"]),
            $params["url"]["cancel_renewal"]
        );
        ?>
    </p>

    <h3><?php _e("Items per Page in Search", $ld); ?></h3>
    <div class="pixelrockstar-Checkbox">
        <input type="radio" name="search_results" value="<?php echo Constants::SEARCH_RESULTS_50; ?>"
               class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("search_results_50"); ?>"
            <?php echo $checked["search_results_50"]; ?>>
        <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol pixelrockstar-Grid--alignBottom">
            <div class="pixelrockstar-Grid-cell">
                <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("search_results_50"); ?>">
                    <?php
                    // TRANSLATORS: Number of images on search results page
                    printf(__("%d Images", $ld), 50);
                    ?>
                </label>
            </div>
            <div class="pixelrockstar-Grid-cell">
                <span class="pixelrockstar-defaultOption pixelrockstar-u-textUppercase"><?php _e("Default", $ld); ?></span>
            </div>
        </div>
    </div>
    <div class="pixelrockstar-Checkbox">
        <input type="radio" name="search_results" value="<?php echo Constants::SEARCH_RESULTS_100; ?>"
               class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("search_results_100"); ?>"
            <?php echo $checked["search_results_100"]; ?>>
        <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("search_results_100"); ?>">
            <?php
            // TRANSLATORS: Number of images on search results page
            printf(__("%d Images", $ld), 100);
            ?>
        </label>
    </div>
    <div class="pixelrockstar-Checkbox">
        <input type="radio" name="search_results" value="<?php echo Constants::SEARCH_RESULTS_300; ?>"
               class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("search_results_300"); ?>"
            <?php echo $checked["search_results_300"]; ?>>
        <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("search_results_300"); ?>">
            <?php
            // TRANSLATORS: Number of images on search results page
            printf(__("%d Images", $ld), 300);
            ?>
        </label>
    </div>

    <h3><?php _e("Caption Text", $ld); ?></h3>
    <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol:60em pixelrockstar-Grid--2col:60em">
        <div class="pixelrockstar-Grid-cell">
            <div class="pixelrockstar-Checkbox">
                <input type="radio" name="caption_text" value="<?php echo Constants::CAPTION_TEXT_COPYRIGHT; ?>"
                       class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("caption_copyright"); ?>"
                    <?php echo $checked["caption_copyright"]; ?>>
                <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol pixelrockstar-Grid--alignBottom">
                    <div class="pixelrockstar-Grid-cell">
                        <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("caption_copyright"); ?>">
                            <?php _e("Copyright", $ld) ?>
                        </label>
                    </div>
                    <div class="pixelrockstar-Grid-cell">
                        <span class="pixelrockstar-defaultOption pixelrockstar-u-textUppercase"><?php _e("Default", $ld); ?></span>
                    </div>
                </div>
            </div>
            <div class="pixelrockstar-Checkbox">
                <input type="radio" name="caption_text" value="<?php echo Constants::CAPTION_TEXT_IMAGE_TITLE; ?>"
                       class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("caption_image_title"); ?>"
                    <?php echo $checked["caption_title"]; ?>>
                <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("caption_image_title"); ?>">
                    <?php _e('Image Title', $ld); ?>
                </label>
            </div>
            <div class="pixelrockstar-Checkbox">
                <input type="radio" name="caption_text" value="<?php echo Constants::CAPTION_TEXT_CUSTOM; ?>"
                       class="pixelrockstar-FormControl-radio js-custom-caption-radio" id="<?php echo \PixelRockstar\generateId("caption_custom"); ?>"
                    <?php echo $checked["caption_custom"]; ?>>
                <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("caption_custom"); ?>">
                    <?php _e("Custom", $ld); ?>
                    <input type="text" name="caption_text_custom" value="<?php echo esc_attr($params["caption"]["custom_text"]); ?>"
                           class="pixelrockstar-FormControl-input pixelrockstar-u-marginL10 js-custom-caption-input"
                           id="<?php echo \PixelRockstar\generateId("caption_custom"); ?>">
                </label>
                <div class="pixelrockstar-u-marginL10">
                    <input type="checkbox" name="caption_text_with_copyright" value="<?php echo Constants::CAPTION_TEXT_CUSTOM_WITH_COPYRIGHT; ?>"
                           class="pixelrockstar-FormControl-checkbox" id="<?php echo PixelRockstar\generateId("caption_text_input"); ?>"
                        <?php echo $checked["caption_custom_copyright"]; ?>>
                    <label for="<?php echo PixelRockstar\generateId("caption_text_input"); ?>">
                        <?php _e("and Copyright Notice", $ld); ?>
                    </label>
                </div>
            </div>
            <div class="pixelrockstar-Checkbox">
                <input type="radio" name="caption_text" value="<?php echo Constants::CAPTION_TEXT_NONE; ?>"
                       class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("caption_none"); ?>"
                    <?php echo $checked["caption_none"]; ?>>
                <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("caption_none"); ?>">
                    <?php _e('None', $ld); ?>
                </label>
            </div>
        </div>
        <div class="pixelrockstar-Grid-cell pixelrockstar-Grid--multiCol">
            <div><em class="pixelrockstar-Icon pixelrockstar-Icon-info"></em></div>
            <?php _e("Text under the image visible in the article.", $ld); ?>
        </div>
    </div>

    <h3><?php _e("Alternative Text", $ld); ?></h3>
    <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol:60em pixelrockstar-Grid--2col:60em">
        <div class="pixelrockstar-Grid-cell">
            <div class="pixelrockstar-Checkbox">
                <input type="radio" name="image_alt_text" value="<?php echo Constants::ALT_TEXT_TITLE; ?>"
                       class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("alt_text_title"); ?>"
                    <?php echo $checked["alt_text_title"]; ?>>
                <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol pixelrockstar-Grid--alignBottom">
                    <div class="pixelrockstar-Grid-cell">
                        <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("alt_text_title"); ?>">
                            <?php _e("Image Title", $ld) ?>
                        </label>
                    </div>
                    <div class="pixelrockstar-Grid-cell">
                        <span class="pixelrockstar-defaultOption pixelrockstar-u-textUppercase"><?php _e("Default", $ld); ?></span>
                    </div>
                </div>
            </div>
            <div class="pixelrockstar-Checkbox">
                <input type="radio" name="image_alt_text" value="<?php echo Constants::ALT_TEXT_KEYWORDS; ?>"
                       class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("alt_text_keywords"); ?>"
                    <?php echo $checked["alt_text_keywords"]; ?>>
                <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("alt_text_keywords"); ?>">
                    <?php _e('Keywords', $ld); ?>
                </label>
            </div>
            <div class="pixelrockstar-Checkbox">
                <input type="radio" name="image_alt_text" value="<?php echo Constants::ALT_TEXT_NONE; ?>"
                       class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("alt_text_none"); ?>"
                    <?php echo $checked["alt_text_none"]; ?>>
                <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("alt_text_none"); ?>">
                    <?php _e('None', $ld); ?>
                </label>
            </div>
        </div>
        <div class="pixelrockstar-Grid-cell pixelrockstar-Grid--multiCol">
            <div><em class="pixelrockstar-Icon pixelrockstar-Icon-info"></em></div>
            <?php _e("Text displayed instead of the image. Usually when voice reading or helpful to blind people.", $ld); ?>
        </div>
    </div>

    <h3><?php _e("Affiliate Bonuses", $ld); ?></h3>
    <p>
        <?php
        printf(
            wp_kses(
            // TRANSLATORS: Both parameters are our contact email address
                __('Recommend PixelRockstar & receive bonuses in form of free downloads or cash. Contact us at <a href="%1$s">%2$s</a>.', $ld),
                array('a' => array('href' => array()))
            ),
            esc_url("mailto:" . $params["url"]["contact_email"]),
            $params["url"]["contact_email"]
        );
        ?>
    </p>

    <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol pixelrockstar-Grid--alignMiddle pixelrockstar-u-marginV30">
        <div class="pixelrockstar-Grid-cell">
            <a class="pixelrockstar-Button pixelrockstar-Button--big pixelrockstar-Button--blue pixelrockstar-u-isDisabled js-pixelrockstar-button-save js-pixelrockstar-save-settings-button"><?php _e("Save", $ld); ?></a>
        </div>
        <div class="pixelrockstar-Grid-cell">
            <span class="pixelrockstar-u-marginL20 pixelrockstar-u-isHidden js-pixelrockstar-settings-status"></span>
        </div>
    </div>
</form>