<?php
use PixelRockstar\Settings\Constants;

// Page config
$ld = \PixelRockstar\PixelRockstar::$languageDomain;

$checked = array(
    "default_size_ask" => ($params["size"]["default_size"] == Constants::DEFAULT_SIZE_ASK) ? 'checked="checked"' : "",
    "default_size_page" => ($params["size"]["default_size"] == $params["size"]["page_width"]) ? 'checked="checked"' : "",
    "default_size_hires" => ($params["size"]["default_size"] == $params["size"]["hires_max_size"]) ? 'checked="checked"' : "",
    "default_size_media" => ($params["size"]["default_size"] == Constants::DEFAULT_SIZE_MEDIA) ? 'checked="checked"' : "",
    "default_size_custom" => ($params["size"]["default_size"] == Constants::DEFAULT_SIZE_CUSTOM) ? 'checked="checked"' : "",
    "image_alignment_default" => (empty($params["image_alignment"])) ? 'checked="checked"' : "",
    "image_alignment_left" => ($params["image_alignment"] == Constants::IMAGE_ALIGNMENT_LEFT) ? 'checked="checked"' : "",
    "image_alignment_center" => ($params["image_alignment"] == Constants::IMAGE_ALIGNMENT_CENTER) ? 'checked="checked"' : "",
    "image_alignment_right" => ($params["image_alignment"] == Constants::IMAGE_ALIGNMENT_RIGHT) ? 'checked="checked"' : ""
);
$expiredSubscription = ($params["subscription"]["days_remaining"] <= 0);

$mediaSizeOptions = "";
foreach ($params["mediaSizes"] as $key => $details) {
    if ($details["width"] > $params["size"]["hires_max_size"]) {
        continue;
    }
    $selected = ($params["size"]["default_size_media"] == $key) ? "selected='selected'" : "";
    $mediaSizeOptions .=
        "<option value='{$key}' {$selected}>" .
        sprintf(
        // TRANSLATORS: First parameter is size as defined in Media settings, second is size in pixels. Example: "Thumbnail size (150 pixels)"
            __('%1$s (%2$s pixels)', $ld),
            $details["title"],
            number_format_i18n($details["width"], 0)
        ) .
        "</option>";
}
// Page content
?>


<div id="post-body-content" class="pixelrockstar-MaxWidth--1000">
    <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol:70em pixelrockstar-Grid--3col:70em pixelrockstar-Grid--withBorder <?php echo $params["hideIf"]["is_logged_out"]; ?> js-pixelrockstar-logged-in">
        <div class="pixelrockstar-Grid-cell pixelrockstar-u-size1of3">
            <div class="pixelrockstar-u-textBold"><?php _e("Downloads Remaining", $ld); ?></div>
            <span class="pixelrockstar-u-fontSize50 pixelrockstar-u-marginT20 pixelrockstar-u-marginB40 js-pixelrockstar-downloads-remaining"><?php echo $params["subscription"]["downloads_remaining"]; ?></span>
            <div class="js-pixelrockstar-days-remaining-container <?= $expiredSubscription ? "pixelrockstar-u-isHidden" : ""; ?>">
                <?php
                printf(
                // TRANSLATORS: Number of days until expiration of user's subscription
                    __("Expire in %s days", $ld),
                    '<span class="js-pixelrockstar-days-remaining">' . $params["subscription"]["days_remaining"] . '</span>'
                );
                ?>
            </div>
            <div class="js-pixelrockstar-expired-subscription <?= $expiredSubscription ? "" : "pixelrockstar-u-isHidden"; ?>">
                <span class="pixelrockstar-color-red"><?php _e("Your subscription plan has expired.", $ld); ?></span>
            </div>
        </div>
        <div class="pixelrockstar-Grid-verticalSeparator:70em"></div>
        <div class="pixelrockstar-Grid-cell pixelrockstar-u-size2of3">
            <div class="pixelrockstar-u-textBold"><?php _e("Get Downloads", $ld); ?></div>
            <p><a href="<?php echo $params["url"]["buy_downloads"]; ?>" class="pixelrockstar-Button pixelrockstar-Button--big pixelrockstar-Button--blue"><?php _e("Buy Now", $ld); ?></a></p>
            <p class="js-pixelrockstar-buy-downloads-container <?= $expiredSubscription ? "pixelrockstar-u-isHidden" : ""; ?>">
                <?php
                printf(
                // TRANSLATORS: First parameter is number of downloads left in subscription. Second parameter is date in future (today + 1 year).
                    __('Buying downloads today extends life of %1$s your existing downloads by one year to %2$s.', $ld),
                    '<span class="js-pixelrockstar-downloads-remaining">' . $params["subscription"]["downloads_remaining"] . '</span>',
                    date_i18n(get_option('date_format'), strtotime("+1 year"))
                )
                ?>
            </p>
        </div>
    </div>
    <div class="<?php echo $params["hideIf"]["is_logged_in"]; ?> js-pixelrockstar-logged-out">
        <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol:70em pixelrockstar-Grid--2col:70em pixelrockstar-Grid--withBorder">
            <div class="pixelrockstar-Grid-cell">
                <form class="js-pixelrockstar-submit" id="<?php echo PixelRockstar\generateId("login_form"); ?>">
                    <div class="pixelrockstar-FormControlBox pixelrockstar-FormControlBox--vertical">
                        <div class="pixelrockstar-FormControl pixelrockstar-FormControl--vertical">
                            <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("apikey"); ?>">
                                <?php _e("API key", $ld); ?>
                            </label>
                            <div class="pixelrockstar-Grid pixelrockstar-Grid--multicol pixelrockstar-Grid--2col pixelrockstar-u-size1of1">
                                <div class="pixelrockstar-Grid-cell pixelrockstar-u-size2of3">
                                    <input type="text" name="apikey" value="" class="pixelrockstar-FormControl-input" maxlength="40"
                                           id="<?php echo \PixelRockstar\generateId("apikey"); ?>" autofocus>
                                </div>
                                <div class="pixelrockstar-Grid-cell pixelrockstar-u-size1of3">
                                    <a class="pixelrockstar-Button pixelrockstar-Button--big pixelrockstar-Button--blue pixelrockstar-u-marginL10 js-pixelrockstar-login-button"><?php _e("Sign in",
                                            $ld); ?></a>
                                </div>
                            </div>
                            <span class="pixelrockstar-u-isHidden pixelrockstar-u-textBold pixelrockstar-u-marginT10 js-pixelrockstar-login-status"></span>
                        </div>
                    </div>
                </form>
                <div class="pixelrockstar-u-marginV20">
                    <a href="<?php echo $params["url"]["create_account"]; ?>" class="pixelrockstar-u-inlineBlock pixelrockstar-u-marginR30"><?php _e("Create an Account", $ld); ?>&nbsp;&rarr;</a>
                    <a href="<?php echo $params["url"]["forgotten_api_key"]; ?>"><?php _e("Lost API key?", $ld); ?></a>
                </div>
            </div>
            <div class="pixelrockstar-Grid-verticalSeparator:70em"></div>
            <div class="pixelrockstar-Grid-cell">
                <div class="pixelrockstar-FormControlBox pixelrockstar-FormControlBox--vertical">
                    <div class="pixelrockstar-FormControl pixelrockstar-FormControl--vertical">
                        <label class="pixelrockstar-FormControl-label"><?php _e("Get Downloads", $ld); ?></label>
                        <a href="<?php echo $params["url"]["buy_downloads"]; ?>" class="pixelrockstar-Button pixelrockstar-Button--big pixelrockstar-Button--blue"><?php _e("Buy Now", $ld); ?></a>
                        <p>
                            <?php _e("And get a photo for your articles for under a dollar.", $ld); ?><br/>
                            <?php _e("Choose from millions of images. All legally safe.", $ld); ?>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <form class="pixelrockstar-MaxWidth--1000 js-pixelrockstar-save-settings js-pixelrockstar-no-submit">
        <h3><?php _e("Preferred Image Size", $ld); ?></h3>
        <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol:60em pixelrockstar-Grid--2col:60em">
            <div class="pixelrockstar-Grid-cell">
                <div class="pixelrockstar-Checkbox">
                    <input type="radio" name="default_size" value="<?php echo Constants::DEFAULT_SIZE_ASK; ?>"
                           class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("size_ask"); ?>"
                        <?php echo $checked["default_size_ask"]; ?>>
                    <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol pixelrockstar-Grid--alignBottom">
                        <div class="pixelrockstar-Grid-cell">
                            <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("size_ask"); ?>">
                                <?php _e("Ask Everytime", $ld) ?>
                            </label>
                        </div>
                        <div class="pixelrockstar-Grid-cell">
                            <span class="pixelrockstar-defaultOption pixelrockstar-u-textUppercase"><?php _e("Default", $ld); ?></span>
                        </div>
                    </div>
                </div>
                <div class="pixelrockstar-Checkbox">
                    <input type="radio" name="default_size" value="<?php echo esc_attr($params["size"]["page_width"]); ?>"
                           class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("size_page_width"); ?>"
                        <?php echo $checked["default_size_page"]; ?>>
                    <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("size_page_width"); ?>">
                        <?php printf(
                        // TRANSLATORS: Size in pixels.
                            __('Article Width &mdash; %s pixels', $ld),
                            number_format_i18n($params["size"]["page_width"]), 0);
                        ?>
                    </label>
                </div>
                <div class="pixelrockstar-Checkbox">
                    <input type="radio" name="default_size" value="<?php echo esc_attr($params["size"]["hires_max_size"]); ?>"
                           class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("size_hires_max"); ?>"
                        <?php echo $checked["default_size_hires"]; ?>>
                    <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("size_hires_max"); ?>">
                        <?php
                        printf(
                        // TRANSLATORS: Size in pixels.
                            __('Highest Resolution &mdash; Longer side %s pixels', $ld),
                            number_format_i18n($params["size"]["hires_max_size"], 0)
                        );
                        ?>
                    </label>
                </div>
                <?php
                if (!empty($mediaSizeOptions)) {
                    ?>
                    <div class="pixelrockstar-Checkbox">
                        <input type="radio" name="default_size" value="<?php echo Constants::DEFAULT_SIZE_MEDIA; ?>"
                               class="pixelrockstar-FormControl-radio js-media-size-radio" id="<?php echo \PixelRockstar\generateId("size_media"); ?>"
                            <?php echo $checked["default_size_media"]; ?>>
                        <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("size_media"); ?>">
                            <?php
                            printf(
                                wp_kses(
                                // TRANSLATORS: Second parameter is a size selector, hence must be at the end of the line.
                                    __('Use size from <a href="%1$s">Media Settings</a> &mdash; %2$s', $ld),
                                    array('a' => array('href' => array()))
                                ),
                                esc_url("options-media.php"),
                                '<select name="default_size_media" class="pixelrockstar-FormControl-input js-media-size-input">' . $mediaSizeOptions . '</select>'
                            );
                            ?>
                        </label>
                    </div>
                    <?php
                }
                ?>
                <div class="pixelrockstar-Checkbox">
                    <input type="radio" name="default_size" value="<?php echo Constants::DEFAULT_SIZE_CUSTOM; ?>"
                           class="pixelrockstar-FormControl-radio js-custom-size-radio" id="<?php echo \PixelRockstar\generateId("size_custom"); ?>"
                        <?php echo $checked["default_size_custom"]; ?>>
                    <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("size_custom"); ?>">
                        <?php
                        // TRANSLATORS: The parameter contains an input field for entering a numeric value
                        printf(__("Individual &mdash; %s pixels", $ld),
                            '<input type="text" name="default_size_custom" value="' . esc_attr($params["size"]["default_size_custom"]) . '"
                                    class="pixelrockstar-FormControl-input js-custom-size-input"
                                    id="' . \PixelRockstar\generateId("size_custom_input") . '"
                                    maxlength="4" max="' . Constants::MAX_HIRES_SIZE . '" style="width: 3em;">');
                        ?>
                    </label>
                </div>
                <i>
                    <?php
                    printf(
                    // TRANSLATORS: Size in pixels
                        __("In any case, the maximum size of an image is %s pixels.", $ld),
                        number_format_i18n($params["size"]["hires_max_size"], 0)
                    );
                    ?>
                </i>
            </div>
            <div class="pixelrockstar-Grid-cell pixelrockstar-Grid--multiCol">
                <div><em class="pixelrockstar-Icon pixelrockstar-Icon-info"></em></div>
                <?php _e(
                    "Adjust the original image that would be used to generate all thumbnails. " .
                    "The smaller the dimensions, the less data and faster loading would be achieved, " .
                    "but you might loose sharpness and overall image quality in some cases if dimensions are too low.",
                    $ld);
                ?>
            </div>
        </div>

        <h3><?php _e("Image Alignment in Article", $ld); ?></h3>
        <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol:60em pixelrockstar-Grid--2col:60em">
            <div class="pixelrockstar-Grid-cell">
                <div class="pixelrockstar-Checkbox">
                    <input type="radio" name="image_alignment" value=""
                           class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("alignment_flexible"); ?>"
                        <?php echo $checked["image_alignment_default"]; ?>>
                    <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol pixelrockstar-Grid--alignBottom">
                        <div class="pixelrockstar-Grid-cell">
                            <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("alignment_flexible"); ?>">
                                <?php _e("Flexible", $ld) ?>
                            </label>
                        </div>
                        <div class="pixelrockstar-Grid-cell">
                            <span class="pixelrockstar-defaultOption pixelrockstar-u-textUppercase"><?php _e("Default", $ld); ?></span>
                        </div>
                    </div>
                </div>
                <div class="pixelrockstar-Checkbox">
                    <input type="radio" name="image_alignment" value="<?php echo Constants::IMAGE_ALIGNMENT_LEFT; ?>"
                           class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("alignment_left"); ?>"
                        <?php echo $checked["image_alignment_left"]; ?>>
                    <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("alignment_left"); ?>">
                        <?php _e('Left', $ld); ?>
                    </label>
                </div>
                <div class="pixelrockstar-Checkbox">
                    <input type="radio" name="image_alignment" value="<?php echo Constants::IMAGE_ALIGNMENT_CENTER; ?>"
                           class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("alignment_center"); ?>"
                        <?php echo $checked["image_alignment_center"]; ?>>
                    <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("alignment_center"); ?>">
                        <?php _e('Center', $ld); ?>
                    </label>
                </div>
                <div class="pixelrockstar-Checkbox">
                    <input type="radio" name="image_alignment" value="<?php echo Constants::IMAGE_ALIGNMENT_RIGHT; ?>"
                           class="pixelrockstar-FormControl-radio" id="<?php echo \PixelRockstar\generateId("alignment_right"); ?>"
                        <?php echo $checked["image_alignment_right"]; ?>>
                    <label class="pixelrockstar-FormControl-label" for="<?php echo \PixelRockstar\generateId("alignment_right"); ?>">
                        <?php _e('Right', $ld); ?>
                    </label>
                </div>
            </div>
            <div class="pixelrockstar-Grid-cell pixelrockstar-Grid--multiCol">
                <div><em class="pixelrockstar-Icon pixelrockstar-Icon-info"></em></div>
                <?php _e(
                    "This option defines if images would use full width of the article space. " .
                    "Smaller images might be aligned within article area like you do in text editor. " .
                    "In most cases, the default setting works best.",
                    $ld);
                ?>
            </div>
        </div>

        <div class="pixelrockstar-Grid pixelrockstar-Grid--multiCol pixelrockstar-Grid--alignMiddle pixelrockstar-u-marginV30">
            <div class="pixelrockstar-Grid-cell">
                <a class="pixelrockstar-Button pixelrockstar-Button--big pixelrockstar-Button--blue pixelrockstar-u-isDisabled js-pixelrockstar-button-save js-pixelrockstar-save-settings-button">
                    <?php _e("Save", $ld); ?>
                </a>
            </div>
            <div class="pixelrockstar-Grid-cell">
                <span class="pixelrockstar-u-marginL20 pixelrockstar-u-isHidden js-pixelrockstar-settings-status"></span>
            </div>
        </div>
    </form>
</div>
